PCONSOLE(1)

NAME
pconsole - parallel console shell for administering clusters.

SYNOPSIS
pconsole

DESCRIPTION
pconsole allows you to connect to each node of your cluster simultaneously, and you can type your administrative commands in a specialized window that 'multiplies' the input to each of the connections you have opened. pconsole is best run from within X Windows, although it is possible to employ it without X (in console mode) as well.

You need to install pconsole on only 1 machine in the cluster, this would usually be your central administrative node.

OPTIONS
pconsole need to be executed with superuser permissions, and enters in interactive mode let you attach other devices so that all the commands sent to the console mode of pconsole are sent to the devices. This allows you to parallelize the execution of the same command in various machines at a time.

pconsole has two working modes:

command mode
    From this mode pconsole can attach and dettach devices, list the attached devices at a time, connect to sending mode where you can send commands to the attached devices, and quit. To enter in command mode, use CTRL-A from sending mode.

sending mode
    The mode where the commands sent to it are sent to the devices attached. To enter this mode use CTRL-D or use the console command.

SEE ALSO
/usr/share/doc/pconsole/README.gz xterm(1)

AUTHOR
This manual page was written by Jesus Climent <jesus.climent@hispalinux.es>, for the Debian GNU/Linux system (but may be used by others).